Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-recipients.post-envelope-recipient-preview ​

Returns a URL to preview the recipients' view of a draft envelope or template. You can embed this view in your application to enable the sender to preview the recipients' experience. You must specify a returnUrl value in the request body. For more information, see Preview and Send.

Creates an envelope recipient preview.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
assertionidstringNo—A unique identifier of the authentication event executed by the client application.
authenticationinstantstringNo—A sender-generated value that indicates the date and time that the signer was authenticated.
authenticationmethodstringNo—Required. Choose a value that most closely matches the technique your application used to authenticate the recipient / signer. Choose a value from this list: * Biometric * Email * HTTPBasicAuth * Kerberos * KnowledgeBasedAuth * None * PaperDocuments * Password * RSASecureID * SingleSignOn_CASiteminder * SingleSignOn_InfoCard * SingleSignOn_MicrosoftActiveDirectory * SingleSignOn_Other * SingleSignOn_Passport * SingleSignOn_SAML * Smartcard * SSLMutualAuth * X509Certificate This information is included in the Certificate of Completion.
clienturlsjsonNo——
pingfrequencystringNo—Only used if pingUrl is specified. This is the interval, in seconds, between pings on the pingUrl. The default is 300 seconds. Valid values are 60-1200 seconds.
pingurlstringNo—The client URL that the Docusign Signing experience should ping to indicate to the client that Signing is active. An HTTP GET call is executed against the client. The response from the client is ignored. The intent is for the client to reset its session timer when the request is received.
recipientidstringNo—Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
returnurlstringNo—The URL to which the user will be redirected in an exit scenario. For example, if the link has expired, the user will be redirected to the URL provided here. This value must be an absolute URL. This property is required.
securitydomainstringNo—The domain in which the user authenticated.
xframeoptionsstringNo—Specifies whether a browser should be allowed to render a page in a frame or IFrame. Setting this property ensures that your content is not embedded into unauthorized pages or frames. Valid values are: - deny: The page cannot be displayed in a frame. - same_origin: The page can only be displayed in a frame on the same origin as the page itself. - allow_from: The page can only be displayed in a frame on the origin specified by the xFrameOptionsAllowFromUrl property.
xframeoptionsallowfromurlstringNo—When the value of xFrameOptions is allow_from, this property specifies the origin on which the page is allowed to display in a frame. If the value of xFrameOptions is allow_from, you must include a value for this property.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
assertionidstringNo—A unique identifier of the authentication event executed by the client application.
authenticationinstantstringNo—A sender-generated value that indicates the date and time that the signer was authenticated.
authenticationmethodstringNo—Required. Choose a value that most closely matches the technique your application used to authenticate the recipient / signer. Choose a value from this list: * Biometric * Email * HTTPBasicAuth * Kerberos * KnowledgeBasedAuth * None * PaperDocuments * Password * RSASecureID * SingleSignOn_CASiteminder * SingleSignOn_InfoCard * SingleSignOn_MicrosoftActiveDirectory * SingleSignOn_Other * SingleSignOn_Passport * SingleSignOn_SAML * Smartcard * SSLMutualAuth * X509Certificate This information is included in the Certificate of Completion.
clienturlsjsonNo——
pingfrequencystringNo—Only used if pingUrl is specified. This is the interval, in seconds, between pings on the pingUrl. The default is 300 seconds. Valid values are 60-1200 seconds.
pingurlstringNo—The client URL that the Docusign Signing experience should ping to indicate to the client that Signing is active. An HTTP GET call is executed against the client. The response from the client is ignored. The intent is for the client to reset its session timer when the request is received.
recipientidstringNo—Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
returnurlstringNo—The URL to which the user will be redirected in an exit scenario. For example, if the link has expired, the user will be redirected to the URL provided here. This value must be an absolute URL. This property is required.
securitydomainstringNo—The domain in which the user authenticated.
xframeoptionsstringNo—Specifies whether a browser should be allowed to render a page in a frame or IFrame. Setting this property ensures that your content is not embedded into unauthorized pages or frames. Valid values are: - deny: The page cannot be displayed in a frame. - same_origin: The page can only be displayed in a frame on the same origin as the page itself. - allow_from: The page can only be displayed in a frame on the origin specified by the xFrameOptionsAllowFromUrl property.
xframeoptionsallowfromurlstringNo—When the value of xFrameOptions is allow_from, this property specifies the origin on which the page is allowed to display in a frame. If the value of xFrameOptions is allow_from, you must include a value for this property.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/views/recipient_preview
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/envelopes/{envelopeId}/views/recipient_preview
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-recipients.post-envelope-recipient-preview",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value"
  }
}